import javax.management.openmbean.*;

public class PlatformMemoryRAM {
    private float availMBytes;
    private float availMBytesAvg;
    private float availMBytesMin;
    private float availMBytesPeak;
    private float totalMBytes;
    private float pctUtil;

    public PlatformMemoryRAM() {
    }

    public PlatformMemoryRAM(float availMBytes, float availMBytesAvg, float availMBytesMin, float availMBytesPeak, float totalMBytes, float pctUtil) {
        this.availMBytes = availMBytes;
        this.availMBytesAvg = availMBytesAvg;
        this.availMBytesMin = availMBytesMin;
        this.availMBytesPeak = availMBytesPeak;
        this.totalMBytes = totalMBytes;
        this.pctUtil = pctUtil;
    }

    public float getAvailMBytes() {
        return availMBytes;
    }

    public float getAvailMBytesAvg() {
        return availMBytesAvg;
    }

    public float getAvailMBytesMin() {
        return availMBytesMin;
    }

    public float getAvailMBytesPeak() {
        return availMBytesPeak;
    }

    public float getTotalMBytes() {
        return totalMBytes;
    }

    public float getPctUtil() {
        return pctUtil;
    }

    public void setAvailMBytes(float availMBytes) {
        this.availMBytes = availMBytes;
    }

    public void setAvailMBytesAvg(float availMBytesAvg) {
        this.availMBytesAvg = availMBytesAvg;
    }

    public void setAvailMBytesMin(float availMBytesMin) {
        this.availMBytesMin = availMBytesMin;
    }

    public void setAvailMBytesPeak(float availMBytesPeak) {
        this.availMBytesPeak = availMBytesPeak;
    }

    public void setTotalMBytes(float totalMBytes) {
        this.totalMBytes = totalMBytes;
    }

    public void setPctUtil(float pctUtil) {
        this.pctUtil = pctUtil;
    }

    public CompositeData getCompositeData() throws OpenDataException {
        String[] itemNames = new String[]{"AvailMBytes", "AvailMBytesAvg", "AvailMBytesMin", "AvailMBytesPeak", "TotalMBytes", "PctUtil"};
        String[] itemDesc = {"AvailMBytes", "AvailMBytesAvg", "AvailMBytesMin", "AvailMBytesPeak", "TotalMBytes", "PctUtil"};
        OpenType[] rowAttrTypes = {SimpleType.FLOAT, SimpleType.FLOAT, SimpleType.FLOAT, SimpleType.FLOAT, SimpleType.FLOAT, SimpleType.FLOAT};

        CompositeType compositeType = new CompositeType(
                "PlatformMemoryRAM Composite Data",
                "blah, blah",
                itemNames,
                itemDesc,
                rowAttrTypes);

        CompositeDataSupport ret = new CompositeDataSupport(
                compositeType,
                itemNames,
                new Object[]{
                        getAvailMBytes(),
                        getAvailMBytesAvg(),
                        getAvailMBytesMin(),
                        getAvailMBytesPeak(),
                        getTotalMBytes(),
                        getPctUtil()
                });

        return ret;
    }

    @Override
    public String toString() {
        return "PlatformMemoryRAM{" +
                "availMBytes=" + availMBytes +
                ", availMBytesAvg=" + availMBytesAvg +
                ", availMBytesMin=" + availMBytesMin +
                ", availMBytesPeak=" + availMBytesPeak +
                ", totalMBytes=" + totalMBytes +
                ", pctUtil=" + pctUtil +
                '}';
    }
}
